- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# ReaderWriterPNG.cpp File Reference

`#include <osg/Image>`
`#include <osg/Notify>`
`#include <osg/Geode>`
`#include <osg/GL>`
`#include <osg/Endian>`
`#include <osgDB/Registry>`
`#include <osgDB/FileUtils>`
`#include <osgDB/FileNameUtils>`
`#include <zlib.h>`
`#include <png.h>`

Include dependency graph for ReaderWriterPNG.cpp:

## Defines
#define | PNG_ALPHA -2
#define | PNG_SOLID -1
#define | PNG_STENCIL 0
## Variables
osgDB::RegisterReaderWriterProxy< ReaderWriterPNG > | g_readerWriter_PNG_Proxy

## Define Documentation

#define PNG_ALPHA -2

#define PNG_SOLID -1

#define PNG_STENCIL 0

## Variable Documentation

osgDB::RegisterReaderWriterProxy<ReaderWriterPNG> g_readerWriter_PNG_Proxy